------------------------------------------------------------------------
r9582 | vlefevre | 2015-06-19 19:50:16 +0000 (Fri, 19 Jun 2015) | 1 line
Changed paths:
   M /branches/3.1/VERSION
   M /branches/3.1/configure.ac
   M /branches/3.1/doc/mpfr.texi
   M /branches/3.1/src/mpfr.h
   M /branches/3.1/src/version.c

Updated version to 3.1.3.
------------------------------------------------------------------------
r9577 | vlefevre | 2015-06-12 15:37:01 +0000 (Fri, 12 Jun 2015) | 1 line
Changed paths:
   M /branches/3.1/ChangeLog

ChangeLog update with "TZ=UTC svn log -rHEAD:0 -v" (in UTF-8 locales).
------------------------------------------------------------------------
r9576 | vlefevre | 2015-06-12 15:34:37 +0000 (Fri, 12 Jun 2015) | 4 lines
Changed paths:
   M /branches/3.1
   M /branches/3.1/doc/faq.xsl

[doc/faq.xsl] Remove the indent="no" to get the same behavior as before
when using libxslt 1.1.27+. See:
  http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=718535#10
(merged changeset r9575 from the trunk)
------------------------------------------------------------------------
r9574 | vlefevre | 2015-06-12 15:22:10 +0000 (Fri, 12 Jun 2015) | 2 lines
Changed paths:
   M /branches/3.1/VERSION
   M /branches/3.1/configure.ac
   M /branches/3.1/doc/mpfr.texi
   M /branches/3.1/src/Makefile.am
   M /branches/3.1/src/mpfr.h
   M /branches/3.1/src/version.c

Updated version to 3.1.3-rc1 and updated libmpfr_la_LDFLAGS in
src/Makefile.am for the next release.
------------------------------------------------------------------------
r9573 | vlefevre | 2015-06-12 14:04:56 +0000 (Fri, 12 Jun 2015) | 3 lines
Changed paths:
   M /branches/3.1
   M /branches/3.1/tests/tfma.c

[tests/tfma.c] Improved the new underflow tests (test_underflow3) to
test FMA(-x,y,-z).
(merged changeset r9572 from the trunk)
------------------------------------------------------------------------
r9570 | vlefevre | 2015-06-12 13:38:54 +0000 (Fri, 12 Jun 2015) | 4 lines
Changed paths:
   M /branches/3.1
   M /branches/3.1/src/fma.c
   M /branches/3.1/tests/tfma.c

[src/fma.c] Fixed the scaling in case of underflow. Added log messages.
[tests/tfma.c] Added testcases. Code clean-up.
(merged changesets r9560-9569 from the trunk, with mpfr_flags_t
replaced by unsigned int)
------------------------------------------------------------------------
r9556 | vlefevre | 2015-06-11 00:55:01 +0000 (Thu, 11 Jun 2015) | 4 lines
Changed paths:
   M /branches/3.1/src/urandomb.c

[src/urandomb.c] Replaced mpn_copyd by MPN_COPY for GMP 4 compatibility.
Note: The trunk does something better (see r8813), but let's keep the
change minimal in this branch, in particular for code that is executed
very rarely (1/2^32 or 1/2^64 probability).
------------------------------------------------------------------------
r9555 | vlefevre | 2015-06-11 00:34:36 +0000 (Thu, 11 Jun 2015) | 2 lines
Changed paths:
   M /branches/3.1
   M /branches/3.1/src/urandomb.c

[src/urandomb.c] Replaced mpn_copyi by mpn_copyd.
(merged changeset r8763 from the trunk)
------------------------------------------------------------------------
r9554 | vlefevre | 2015-06-10 23:56:37 +0000 (Wed, 10 Jun 2015) | 5 lines
Changed paths:
   M /branches/3.1
   M /branches/3.1/tests/trandom.c

[tests/trandom.c] The use of mpfr_rands yielded a compilation failure
of trandom.c with --with-gmp-build; it should have been __gmp_rands or
RANDS. But let's do better by using a new gmp_randstate_t as done in
bug20100914().
(merged changeset r9553 from the trunk)
------------------------------------------------------------------------
r9552 | vlefevre | 2015-06-10 15:40:11 +0000 (Wed, 10 Jun 2015) | 4 lines
Changed paths:
   M /branches/3.1
   M /branches/3.1/src/urandomb.c
   M /branches/3.1/tests/trandom.c

[src/urandomb.c] Fixed bug which could appear with probability 1/2^32
  (32-bit limbs) or 1/2^64 (64-bit limbs).
[tests/trandom.c] Added testcase for 32-bit limbs.
(merged changesets r8762,9550-9551 from the trunk)
------------------------------------------------------------------------
r9548 | vlefevre | 2015-06-10 10:47:35 +0000 (Wed, 10 Jun 2015) | 10 lines
Changed paths:
   M /branches/3.1
   M /branches/3.1/src/cos.c
   M /branches/3.1/src/sin.c

[src/{cos.c,sin.c}] Fixed bug related to the exponent range, introduced
in r6461 with the use of mpfr_sincos_fast.
Details:
  For mpfr_sin, the exponent range was not restored, and restoring it
  before calling mpfr_sincos_fast as this was done for mpfr_cos did
  not work; indeed the source of this function shows that it needs an
  extended exponent range. So, changed both mpfr_cos and mpfr_sin to
  call mpfr_sincos_fast in the extended exponent range and restore the
  exponent range at the end, like in usual code.
(merged changeset r9542 from the trunk)
------------------------------------------------------------------------
r9547 | vlefevre | 2015-06-10 10:45:39 +0000 (Wed, 10 Jun 2015) | 3 lines
Changed paths:
   M /branches/3.1
   M /branches/3.1/tests/tsin.c

[tests/tsin.c] Added tests to check the mpfr_sin_fast call in src/sin.c,
which is currently buggy, modifying the exponent range in particular.
(merged changeset r8273 from the trunk)
------------------------------------------------------------------------
r9546 | vlefevre | 2015-06-10 10:41:54 +0000 (Wed, 10 Jun 2015) | 4 lines
Changed paths:
   M /branches/3.1
   M /branches/3.1/tests/tgeneric.c

[tests/tgeneric.c] Added overflow/underflow tests. Check whether the
exponent range has been modified by the tested function (which should
never happen).
(merged/ported changesets r9539,9541,9544 from the trunk)
------------------------------------------------------------------------
r9524 | vlefevre | 2015-06-08 00:54:03 +0000 (Mon, 08 Jun 2015) | 6 lines
Changed paths:
   M /branches/3.1
   M /branches/3.1/src/zeta_ui.c
   M /branches/3.1/tests/tzeta_ui.c

[src/zeta_ui.c]
  * Support reduced exponent range for the generic case.
  * Added logging.
[tests/tzeta_ui.c] Added tests in reduced exponent range.
(merged changesets r9518-9523 from the trunk, with mpfr_flags_t
replaced by unsigned int)
------------------------------------------------------------------------
r9522 | vlefevre | 2015-06-08 00:29:04 +0000 (Mon, 08 Jun 2015) | 2 lines
Changed paths:
   M /branches/3.1
   M /branches/3.1/src/add_ui.c

[src/add_ui.c] Fixed format string in MPFR_LOG_FUNC.
(merged changeset r9521 from the trunk)
------------------------------------------------------------------------
r9517 | vlefevre | 2015-06-05 08:53:56 +0000 (Fri, 05 Jun 2015) | 28 lines
Changed paths:
   M /branches/3.1
   M /branches/3.1/src/set_q.c
   M /branches/3.1/src/ui_div.c
   M /branches/3.1/src/ui_sub.c
   M /branches/3.1/tests/tadd_ui.c
   M /branches/3.1/tests/tdiv_ui.c
   M /branches/3.1/tests/tgeneric.c
   M /branches/3.1/tests/tmul_ui.c
   M /branches/3.1/tests/tpow_all.c
   M /branches/3.1/tests/tset_q.c
   M /branches/3.1/tests/tsub_ui.c
   M /branches/3.1/tests/tui_div.c
   M /branches/3.1/tests/tui_sub.c

Various fixes, improvements and new tests concerning the exponent range
and exceptions (flags). Details:

[src/set_q.c]
  * Added missing MPFR_SAVE_EXPO_FREE in case of preliminary overflow
    or underflow (extreme cases).
  * Replaced a "return" by MPFR_RET: this is at least needed in the
    extreme case cd != 0, and safer in general.

[src/{ui_div.c,ui_sub.c}] Correction for reduced exponent range.

[tests/tgeneric.c] Major clean-up, with some minor corrections.
Added support for unsigned long argument, which can be the first
or the second one (another intent is to replace tgeneric_ui.c,
which does fewer tests concerning the flags).

[tests/t{add,div,mul,sub}_ui.c] Replaced tgeneric_ui.c by tgeneric.c,
showing the mpfr_mul_ui bug fixed in r9516 (missing inexact flag).

[tests/tpow_all.c] Better flags output in error message.

[tests/tset_q.c] Check the flags.

[tests/{tui_div.c,tui_sub.c}] Added generic tests, yielding assertion
failures without the above fix when assertions are checked. Added a
new test checking overflow.

(merged changesets r9494-9514 from the trunk)
------------------------------------------------------------------------
r9516 | vlefevre | 2015-06-05 08:34:34 +0000 (Fri, 05 Jun 2015) | 2 lines
Changed paths:
   M /branches/3.1
   M /branches/3.1/src/mul_ui.c

[src/mul_ui.c] Fixed bug in mpfr_mul_ui/si: the inexact flag wasn't set.
(merged changeset r9505 from the trunk)
------------------------------------------------------------------------
r9501 | vlefevre | 2015-06-04 10:08:54 +0000 (Thu, 04 Jun 2015) | 2 lines
Changed paths:
   M /branches/3.1
   M /branches/3.1/tests/tdiv_d.c

[tests/tdiv_d.c] Corrected the tested function for the generic tests.
(merged changeset r9500 from the trunk)
------------------------------------------------------------------------
r9499 | vlefevre | 2015-06-04 10:04:47 +0000 (Thu, 04 Jun 2015) | 2 lines
Changed paths:
   M /branches/3.1
   M /branches/3.1/tests/td_div.c

[tests/td_div.c] Corrected the tested function for the generic tests.
(merged changeset r9498 from the trunk)
------------------------------------------------------------------------
r9496 | vlefevre | 2015-06-04 02:07:49 +0000 (Thu, 04 Jun 2015) | 2 lines
Changed paths:
   M /branches/3.1
   M /branches/3.1/tests/tgeneric_ui.c

[tests/tgeneric_ui.c] Added missing \n. Minor improvements.
(merged changeset r9495 from the trunk)
------------------------------------------------------------------------
r9493 | vlefevre | 2015-06-03 14:27:31 +0000 (Wed, 03 Jun 2015) | 8 lines
Changed paths:
   M /branches/3.1
   M /branches/3.1/src/rint.c
   M /branches/3.1/tests/trint.c

[src/rint.c] Simplified and fixed the mpfr_rint_* functions: in some
  corner cases, an intermediate overflow would not be propagated.
  Handle reduced exponent range.
[tests/trint.c] Added generic tests for the mpfr_rint_* functions.
  Since all numbers in ]0,1/2[ round to the same value, in order to
  avoid redundant tests, increased the TEST_RANDOM_EMIN value to -20
  and set TEST_RANDOM_ALWAYS_SCALE to 1. Added basic tests.
(merged changesets r8953,9472-9473,9476-9492 from the trunk)
------------------------------------------------------------------------
r9491 | vlefevre | 2015-06-03 14:16:59 +0000 (Wed, 03 Jun 2015) | 12 lines
Changed paths:
   M /branches/3.1
   M /branches/3.1/tests/mpfr-test.h
   M /branches/3.1/tests/tests.c
   M /branches/3.1/tests/tfprintf.c
   M /branches/3.1/tests/tgeneric.c
   M /branches/3.1/tests/tprintf.c
   M /branches/3.1/tests/tsin_cos.c

[tests] Added always_scale argument (boolean) to tests_default_random()
so that when it is true, scaling is always performed on random numbers
generated by mpfr_urandomb(), instead of preferring numbers of the order
of magnitude of 1 for half outputs. This will be useful for mpfr_rint_*
tests.

For tgeneric.c, the value of this argument is controlled by a new macro
TEST_RANDOM_ALWAYS_SCALE (0 by default, which corresponds to the current
behavior). For the other tests that call tests_default_random(), the
argument is set to 0, so that the behavior remains the same.

(merged changeset r9471 from the trunk)
------------------------------------------------------------------------
r9483 | vlefevre | 2015-06-02 12:20:53 +0000 (Tue, 02 Jun 2015) | 3 lines
Changed paths:
   M /branches/3.1
   M /branches/3.1/doc/mpfr.texi

[doc/mpfr.texi] Added description of the flags for the mpfr_rint,
mpfr_ceil, mpfr_floor, mpfr_round, mpfr_trunc functions.
(merged changeset r9482 from the trunk)
------------------------------------------------------------------------
r9479 | vlefevre | 2015-05-31 09:49:05 +0000 (Sun, 31 May 2015) | 3 lines
Changed paths:
   M /branches/3.1
   M /branches/3.1/configure.ac

[configure.ac] For the gcc compiler, better choice of the -W flags
when the selected language is C++ (e.g. when CC=g++).
(merged changeset r9478 from the trunk)
------------------------------------------------------------------------
r9475 | vlefevre | 2015-05-29 11:19:54 +0000 (Fri, 29 May 2015) | 2 lines
Changed paths:
   M /branches/3.1
   M /branches/3.1/doc/mpfr.texi

[doc/mpfr.texi] Added blank lines to improve readability.
(merged changeset r9474 from the trunk)
------------------------------------------------------------------------
r9470 | vlefevre | 2015-05-29 08:55:40 +0000 (Fri, 29 May 2015) | 2 lines
Changed paths:
   M /branches/3.1
   M /branches/3.1/doc/mpfr.texi

[doc/mpfr.texi] Added a remark concerning the mpfr_rint_* functions.
(merged changeset r9469 from the trunk)
------------------------------------------------------------------------
r9468 | vlefevre | 2015-05-28 21:04:37 +0000 (Thu, 28 May 2015) | 2 lines
Changed paths:
   M /branches/3.1/tests/tstdint.c

[tests/tstdint.c] Added missing #include <stdlib.h> needed since r9448
(this #include was not necessary in the trunk thanks to r8053).
------------------------------------------------------------------------
r9467 | vlefevre | 2015-05-28 17:57:17 +0000 (Thu, 28 May 2015) | 9 lines
Changed paths:
   M /branches/3.1
   M /branches/3.1/src/mpfr-gmp.c
   M /branches/3.1/src/mpfr-gmp.h
   M /branches/3.1/src/mpfr-impl.h

[src] Fixed allocation issue for multithreaded applications:
https://sympa.inria.fr/sympa/arc/mpfr/2015-05/msg00001.html
  * mpfr-gmp.{c,h}: made mpfr_allocate_func, mpfr_reallocate_func and
    mpfr_free_func thread-local; updated MPFR_GET_MEMFUNC to execute
    mp_get_memory_functions only when these pointers have not been set
    to the actual function pointers yet.
  * mpfr-impl.h: #include "mpfr-thread.h" earlier (before mpfr-gmp.h,
    where MPFR_THREAD_ATTR is now used).
(merged changeset r9466 from the trunk)
------------------------------------------------------------------------
r9458 | vlefevre | 2015-05-23 23:42:14 +0000 (Sat, 23 May 2015) | 1 line
Changed paths:
   M /branches/3.1/src/frexp.c

Added svn:keywords on src/frexp.c for consistency.
------------------------------------------------------------------------
r9454 | vlefevre | 2015-05-23 23:09:18 +0000 (Sat, 23 May 2015) | 4 lines
Changed paths:
   M /branches/3.1
   M /branches/3.1/tests/tstdint.c
   M /branches/3.1/tests/tvalist.c

[tests/{tstdint.c,tvalist.c}] Added missing #include "mpfr-test.h"
(detected with gcc -Werror=implicit-function-declaration), needed
since r9448.
(merged changeset r9453 from the trunk)
------------------------------------------------------------------------
r9452 | vlefevre | 2015-05-23 08:13:46 +0000 (Sat, 23 May 2015) | 2 lines
Changed paths:
   M /branches/3.1
   M /branches/3.1/tests/tstckintc.c

[tests/tstckintc.c] Fixed undefined behavior (invalid pointer).
(merged changeset r9450 from the trunk)
------------------------------------------------------------------------
r9448 | vlefevre | 2015-05-22 09:22:44 +0000 (Fri, 22 May 2015) | 3 lines
Changed paths:
   M /branches/3.1
   M /branches/3.1/tests/tstdint.c
   M /branches/3.1/tests/tvalist.c

[tests/{tstdint.c,tvalist.c}] Use tests_start_mpfr / tests_end_mpfr,
in particular to detect a wrong MPFR version (due to a libtool bug).
(merged changeset r9447 from the trunk)
------------------------------------------------------------------------
r9446 | vlefevre | 2015-05-21 15:09:16 +0000 (Thu, 21 May 2015) | 3 lines
Changed paths:
   M /branches/3.1
   M /branches/3.1/autogen.sh

[autogen.sh] Exit with the exit status of autoreconf. Thus a failure
will be noticed more easily.
(merged changeset r9445 from the trunk)
------------------------------------------------------------------------
r9444 | vlefevre | 2015-05-21 14:15:50 +0000 (Thu, 21 May 2015) | 1 line
Changed paths:
   M /branches/3.1/NEWS

[NEWS] Update for GNU MPFR 3.1.3.
------------------------------------------------------------------------
r9442 | vlefevre | 2015-05-21 14:05:16 +0000 (Thu, 21 May 2015) | 1 line
Changed paths:
   M /branches/3.1/tools/ck-copyright-notice

[tools/ck-copyright-notice] Update from the trunk.
------------------------------------------------------------------------
r9439 | vlefevre | 2015-05-21 11:15:52 +0000 (Thu, 21 May 2015) | 5 lines
Changed paths:
   M /branches/3.1
   M /branches/3.1/acinclude.m4

[acinclude.m4] Various corrections in the tests:
  * MPFR_FUNC_GMP_PRINTF_SPEC: missing #include <string.h> for strcmp.
  * Replaced rint by nearbyint in messages (as nearbyint is tested).
  * Avoid warnings to avoid failures when -Werror is used.
(merged changeset r9438 from the trunk)
------------------------------------------------------------------------
r9437 | vlefevre | 2015-05-21 01:39:10 +0000 (Thu, 21 May 2015) | 2 lines
Changed paths:
   M /branches/3.1
   M /branches/3.1/Makefile.am

[Makefile.am] Added a comment about ACLOCAL_AMFLAGS.
(merged changesets r8520,9379 from the trunk)
------------------------------------------------------------------------
r9436 | vlefevre | 2015-05-21 01:37:16 +0000 (Thu, 21 May 2015) | 2 lines
Changed paths:
   M /branches/3.1
   M /branches/3.1/README

[README] Added ar-lib (from AM_PROG_AR) and test-driver (Automake 1.12+).
(merged changeset r8578 from the trunk)
------------------------------------------------------------------------
r9435 | vlefevre | 2015-05-21 01:34:16 +0000 (Thu, 21 May 2015) | 2 lines
Changed paths:
   M /branches/3.1

Added ar-lib to svn:ignore property (this script comes from Automake,
due to the use of AM_PROG_AR in configure.ac).
------------------------------------------------------------------------
r9434 | vlefevre | 2015-05-21 01:31:08 +0000 (Thu, 21 May 2015) | 7 lines
Changed paths:
   M /branches/3.1
   M /branches/3.1/INSTALL
   M /branches/3.1/configure.ac
   M /branches/3.1/doc/mpfr.texi

To take into account that Automake 1.13 or later will be used:
  * doc/mpfr.texi, INSTALL: updates related to "make check".
  * configure.ac: require Automake 1.13 since the documentation now
    assumes that 1.13 or later is used (and because previous Automake
    versions are no longer tested); also added AM_PROG_AR to support
    unusual archivers (after a warning from Automake 1.13).
(merged changesets r8546,8572-8573,8611,9375,9380 from the trunk)
------------------------------------------------------------------------
r9433 | vlefevre | 2015-05-21 01:01:32 +0000 (Thu, 21 May 2015) | 2 lines
Changed paths:
   M /branches/3.1/configure.ac

[configure.ac] Updated URL's.
(merged changeset r9081 for configure.ac from the trunk)
------------------------------------------------------------------------
r9432 | vlefevre | 2015-05-21 00:58:31 +0000 (Thu, 21 May 2015) | 4 lines
Changed paths:
   M /branches/3.1
   M /branches/3.1/configure.ac

[configure.ac] Improved error message when the compiler doesn't know
_Decimal64 (if MPFR is built with --enable-decimal-float).
Detect broken _Decimal64 support on powerpc64 with the mode32 ABI.
(merged changesets r8415,8679 from the trunk)
------------------------------------------------------------------------
r9431 | vlefevre | 2015-05-21 00:52:04 +0000 (Thu, 21 May 2015) | 2 lines
Changed paths:
   M /branches/3.1/configure.ac
   M /branches/3.1/doc/README.dev
   M /branches/3.1/src/add1sp.c
   M /branches/3.1/src/mpfr-impl.h
   M /branches/3.1/src/mul.c
   M /branches/3.1/src/round_p.c
   M /branches/3.1/src/set_d.c
   M /branches/3.1/src/sub1sp.c

Renamed WANT_ASSERT to MPFR_WANT_ASSERT in order to avoid a clash
with GMP when MPFR is configured with --with-gmp-build.
------------------------------------------------------------------------
r9430 | vlefevre | 2015-05-21 00:41:06 +0000 (Thu, 21 May 2015) | 2 lines
Changed paths:
   M /branches/3.1
   M /branches/3.1/configure.ac

[configure.ac] Added a comment mentioning a problem with GNU gold ld.
(merged changeset r8024 from the trunk)
------------------------------------------------------------------------
r9429 | vlefevre | 2015-05-21 00:32:21 +0000 (Thu, 21 May 2015) | 5 lines
Changed paths:
   M /branches/3.1
   M /branches/3.1/configure.ac

[configure.ac] If the gmp.h vs libgmp test fails, also output the value
of some variables (in case config.log is available, information can
also be retrieved from "Cache variables" and "Output variables" near
the end).
(merged changesets r8056,8616 from the trunk)
------------------------------------------------------------------------
r9428 | vlefevre | 2015-05-21 00:28:44 +0000 (Thu, 21 May 2015) | 4 lines
Changed paths:
   M /branches/3.1
   M /branches/3.1/configure.ac

[configure.ac] In the CC and CFLAGS setup from gmp.h, modified the
list of commands to select the C preprocessor since /lib/cpp isn't
the best choice under Solaris.
(merged changeset r8612 from the trunk)
------------------------------------------------------------------------
r9427 | vlefevre | 2015-05-21 00:25:47 +0000 (Thu, 21 May 2015) | 3 lines
Changed paths:
   M /branches/3.1
   M /branches/3.1/configure.ac

[configure.ac] The test of CC and CFLAGS was done too late! Moved this
test earlier.
(merged changeset r8610 from the trunk)
------------------------------------------------------------------------
r9426 | vlefevre | 2015-05-21 00:12:59 +0000 (Thu, 21 May 2015) | 2 lines
Changed paths:
   M /branches/3.1
   M /branches/3.1/tests/tests.c

[tests/tests.c] Changed an error message.
(merged changesets r9208-9209,9211-9212 from the trunk)
------------------------------------------------------------------------
r9425 | vlefevre | 2015-05-21 00:04:47 +0000 (Thu, 21 May 2015) | 2 lines
Changed paths:
   M /branches/3.1
   M /branches/3.1/tests/tests.c

[tests/tests.c] Fixed tests_default_random in case mpfr_exp_t > long.
(merged changeset r8853 from the trunk)
------------------------------------------------------------------------
r9424 | vlefevre | 2015-05-20 23:58:59 +0000 (Wed, 20 May 2015) | 21 lines
Changed paths:
   M /branches/3.1
   M /branches/3.1/tests/Makefile.am
   M /branches/3.1/tests/mpfr-test.h
   M /branches/3.1/tests/tests.c
   M /branches/3.1/tests/tversion.c

Test suite improvement with Automake 1.13.
  * Moved GMP version check from tversion.c to the test_version()
    function of tests.c, so that this check is done in every test.
    This function now returns an int, as there are now 3 cases:
    1. An error in MPFR version check is a fatal error: test_version()
       exits with an error (exit status = 1).
    2. An error in GMP version check is a non-fatal error: if there
       are no errors in MPFR version check, test_version() returns
       with value 1.
    3. Otherwise test_version() returns with value 0 (everything is
       fine).
  * tversion.c still runs test_version(), but fails if this function
    returns with an error, i.e. any error is fatal for this test.
    Note: for the other tests, one just has a message in the output
    in case of GMP version mismatch.
  * mpfr-test.h: updated test_version() prototype.
  * Makefile.am: removed the second tversion invocation, and output
    the contents of tversion.log if this file exists (typically with
    Automake 1.13+, for which one no longer gets tversion output by
    default).
(merged changesets r8821,8849 from the trunk)
------------------------------------------------------------------------
r9423 | vlefevre | 2015-05-20 23:44:39 +0000 (Wed, 20 May 2015) | 2 lines
Changed paths:
   M /branches/3.1
   M /branches/3.1/tests/tversion.c

[tests/tversion.c] Output the applied patches (if any).
(merged changeset r8265 from the trunk)
------------------------------------------------------------------------
r9422 | vlefevre | 2015-05-20 23:43:02 +0000 (Wed, 20 May 2015) | 2 lines
Changed paths:
   M /branches/3.1
   M /branches/3.1/tests/tversion.c

[tests/tversion.c] Test mpfr_buildopt_tune_case() vs MPFR_TUNE_CASE.
(merged changeset r8223 from the trunk)
------------------------------------------------------------------------
r9421 | vlefevre | 2015-05-20 16:17:19 +0000 (Wed, 20 May 2015) | 5 lines
Changed paths:
   M /branches/3.1
   M /branches/3.1/acinclude.m4
   M /branches/3.1/configure.ac

[acinclude.m4,configure.ac] Check that a directory passed to
a --with-gmp* configure option exists and doesn't contain any
space, and canonicalize the name if the realpath utility is
available (patch by Patrick Pélissier).
(merged changeset r8840 from the trunk)
------------------------------------------------------------------------
r9420 | vlefevre | 2015-05-20 16:15:46 +0000 (Wed, 20 May 2015) | 2 lines
Changed paths:
   M /branches/3.1
   M /branches/3.1/tests/Makefile.am

[tests/Makefile.am] In LOADLIBES, replaced $(INCLUDES) by $(AM_CPPFLAGS)
(completing r9411; merged changeset r8743 from the trunk)
------------------------------------------------------------------------
r9419 | vlefevre | 2015-05-20 16:11:33 +0000 (Wed, 20 May 2015) | 3 lines
Changed paths:
   M /branches/3.1
   M /branches/3.1/acinclude.m4

[acinclude.m4] Avoid a warning due to variable set but not used in a
test, making the test fail with gcc -Werror=unused-but-set-variable.
(merged changeset r8729 from the trunk)
------------------------------------------------------------------------
r9418 | vlefevre | 2015-05-20 16:04:22 +0000 (Wed, 20 May 2015) | 1 line
Changed paths:
   M /branches/3.1/acinclude.m4

[acinclude.m4] Replaced "main()" by "main (void)".
------------------------------------------------------------------------
r9417 | vlefevre | 2015-05-20 15:57:51 +0000 (Wed, 20 May 2015) | 3 lines
Changed paths:
   M /branches/3.1
   M /branches/3.1/tests/tcmp_d.c
   M /branches/3.1/tests/tcmp_ld.c
   M /branches/3.1/tests/tests.c
   M /branches/3.1/tests/tget_d.c
   M /branches/3.1/tests/trint.c

[tests] Avoid warnings concerning unused variables under some conditions
in order to avoid failures when -Werror is used.
(merged changesets r8730,9415-9416 from the trunk)
------------------------------------------------------------------------
r9414 | vlefevre | 2015-05-20 14:33:30 +0000 (Wed, 20 May 2015) | 11 lines
Changed paths:
   M /branches/3.1
   M /branches/3.1/acinclude.m4
   M /branches/3.1/src/mpfr-impl.h
   M /branches/3.1/tests/tsprintf.c

[acinclude.m4] Check struct lconv members (from <locale.h>) to avoid a
  build failure under Android, which does not have them; see
    https://sympa.inria.fr/sympa/arc/mpfr/2012-10/msg00002.html
[src/mpfr-impl.h] Decimal point / thousands separator support can now be
  detected automatically by configure (from the presence of <locale.h>
  and the above members) or explicitly disabled/enabled by the user by
  defining the MPFR_LCONV_DPTS macro to 0 or 1 via CFLAGS (a configure
  switch might be added in the future).
[tests/tsprintf.c] Do the locale_da_DK test only if MPFR_LCONV_DPTS is
  true.
(merged changeset r8423 from the trunk)
------------------------------------------------------------------------
r9413 | vlefevre | 2015-05-20 13:33:13 +0000 (Wed, 20 May 2015) | 6 lines
Changed paths:
   M /branches/3.1
   M /branches/3.1/acinclude.m4
   M /branches/3.1/tests/tget_flt.c
   M /branches/3.1/tests/tset_d.c

[acinclude.m4] Added a test for signed zeros (defines HAVE_SIGNEDZ).
[tests/{tset_d.c,tget_flt.c}] Disabled two tests when HAVE_SIGNEDZ
isn't defined, because these tests rely on signed zeros.
Note: this is needed for compilers that don't support signed zeros,
like tcc 0.9.26 and before.
(merged changesets r8339-8340 from the trunk)
------------------------------------------------------------------------
r9412 | vlefevre | 2015-05-20 12:52:26 +0000 (Wed, 20 May 2015) | 8 lines
Changed paths:
   M /branches/3.1
   M /branches/3.1/acinclude.m4
   M /branches/3.1/configure.ac

[acinclude.m4,configure.ac]
  * Added test for double-to-integer conversion bug.
  * Corrected a gmp.h inclusion.
  * Added MPFR_CHECK_GMP configure check. Without this test, one could
    get an error in MPFR_CHECK_PRINTF_SPEC (or MPFR_CHECK_DBL2INT_BUG,
    taking into account the above addition), though the error is not
    related to printf or a double-to-integer conversion bug.
(merged changesets r8353-8355,8432,8601-8602,8606,8614,8900 from the trunk)
------------------------------------------------------------------------
r9411 | vlefevre | 2015-05-20 12:29:48 +0000 (Wed, 20 May 2015) | 3 lines
Changed paths:
   M /branches/3.1
   M /branches/3.1/acinclude.m4
   M /branches/3.1/configure.ac
   M /branches/3.1/m4/size_max.m4
   M /branches/3.1/tests/Makefile.am
   M /branches/3.1/tune/Makefile.am

Updated autotools files to get rid of obsolete macros. Removed
useless "#include <math.h>" in the test for subnormal numbers.
(merged changesets r8337-8338,8364 from the trunk)
------------------------------------------------------------------------
r9410 | vlefevre | 2015-05-20 11:52:40 +0000 (Wed, 20 May 2015) | 2 lines
Changed paths:
   M /branches/3.1
   M /branches/3.1/acinclude.m4
   M /branches/3.1/doc/README.dev
   M /branches/3.1/src/round_raw_generic.c
   M /branches/3.1/src/set_d.c
   M /branches/3.1/tests/tests.c
   M /branches/3.1/tests/tset_d.c

Replaced "denormalized" by the official term "subnormal".
(merged changeset r8334 from the trunk)
------------------------------------------------------------------------
r9409 | vlefevre | 2015-05-20 11:47:38 +0000 (Wed, 20 May 2015) | 2 lines
Changed paths:
   M /branches/3.1
   M /branches/3.1/tests/tests.c

[tests/tests.c] Improved a type, avoiding a compiler warning.
(merged changeset r8117 from the trunk)
------------------------------------------------------------------------
r9408 | vlefevre | 2015-05-20 11:19:53 +0000 (Wed, 20 May 2015) | 1 line
Changed paths:
   M /branches/3.1
   M /branches/3.1/tests/tversion.c

[tests/tversion.c] Added GCC version (merged r8662 from the trunk).
------------------------------------------------------------------------
r9406 | vlefevre | 2015-05-20 08:35:52 +0000 (Wed, 20 May 2015) | 1 line
Changed paths:
   M /branches/3.1/doc/mpfr.texi

[doc/mpfr.texi] Updated the month.
------------------------------------------------------------------------
r9405 | vlefevre | 2015-05-20 08:35:02 +0000 (Wed, 20 May 2015) | 1 line
Changed paths:
   M /branches/3.1/doc/mpfr.texi

[doc/mpfr.texi] Correction of the latest changes.
------------------------------------------------------------------------
r9404 | vlefevre | 2015-05-20 08:32:09 +0000 (Wed, 20 May 2015) | 2 lines
Changed paths:
   M /branches/3.1
   M /branches/3.1/INSTALL
   M /branches/3.1/README
   M /branches/3.1/TODO
   M /branches/3.1/doc/mpfr.texi
   M /branches/3.1/src/vasprintf.c

Merged some documentation changes from the trunk. Added a note in
the mpfr_get_str description (in mpfr.texi) about the flags.
------------------------------------------------------------------------
r9403 | vlefevre | 2015-05-20 08:00:07 +0000 (Wed, 20 May 2015) | 5 lines
Changed paths:
   M /branches/3.1/BUGS
   M /branches/3.1/INSTALL
   M /branches/3.1/Makefile.am
   M /branches/3.1/NEWS
   M /branches/3.1/README
   M /branches/3.1/TODO
   M /branches/3.1/acinclude.m4
   M /branches/3.1/configure.ac
   M /branches/3.1/doc/FAQ.html
   M /branches/3.1/doc/Makefile.am
   M /branches/3.1/doc/README.dev
   M /branches/3.1/doc/faq.xsl
   M /branches/3.1/doc/mpfr.texi
   M /branches/3.1/examples/divworst.c
   M /branches/3.1/examples/rndo-add.c
   M /branches/3.1/examples/sample.c
   M /branches/3.1/examples/version.c
   M /branches/3.1/src/Makefile.am
   M /branches/3.1/src/abort_prec_max.c
   M /branches/3.1/src/acos.c
   M /branches/3.1/src/acosh.c
   M /branches/3.1/src/add.c
   M /branches/3.1/src/add1.c
   M /branches/3.1/src/add1sp.c
   M /branches/3.1/src/add_d.c
   M /branches/3.1/src/add_ui.c
   M /branches/3.1/src/agm.c
   M /branches/3.1/src/ai.c
   M /branches/3.1/src/amd/amdfam10/mparam.h
   M /branches/3.1/src/amd/athlon/mparam.h
   M /branches/3.1/src/amd/k8/mparam.h
   M /branches/3.1/src/arm/mparam.h
   M /branches/3.1/src/asin.c
   M /branches/3.1/src/asinh.c
   M /branches/3.1/src/atan.c
   M /branches/3.1/src/atan2.c
   M /branches/3.1/src/atanh.c
   M /branches/3.1/src/bernoulli.c
   M /branches/3.1/src/buildopt.c
   M /branches/3.1/src/cache.c
   M /branches/3.1/src/cbrt.c
   M /branches/3.1/src/check.c
   M /branches/3.1/src/clear.c
   M /branches/3.1/src/clears.c
   M /branches/3.1/src/cmp.c
   M /branches/3.1/src/cmp2.c
   M /branches/3.1/src/cmp_abs.c
   M /branches/3.1/src/cmp_d.c
   M /branches/3.1/src/cmp_ld.c
   M /branches/3.1/src/cmp_si.c
   M /branches/3.1/src/cmp_ui.c
   M /branches/3.1/src/comparisons.c
   M /branches/3.1/src/const_catalan.c
   M /branches/3.1/src/const_euler.c
   M /branches/3.1/src/const_log2.c
   M /branches/3.1/src/const_pi.c
   M /branches/3.1/src/constant.c
   M /branches/3.1/src/copysign.c
   M /branches/3.1/src/cos.c
   M /branches/3.1/src/cosh.c
   M /branches/3.1/src/cot.c
   M /branches/3.1/src/coth.c
   M /branches/3.1/src/csc.c
   M /branches/3.1/src/csch.c
   M /branches/3.1/src/d_div.c
   M /branches/3.1/src/d_sub.c
   M /branches/3.1/src/digamma.c
   M /branches/3.1/src/dim.c
   M /branches/3.1/src/div.c
   M /branches/3.1/src/div_2exp.c
   M /branches/3.1/src/div_2si.c
   M /branches/3.1/src/div_2ui.c
   M /branches/3.1/src/div_d.c
   M /branches/3.1/src/div_ui.c
   M /branches/3.1/src/dump.c
   M /branches/3.1/src/eint.c
   M /branches/3.1/src/eq.c
   M /branches/3.1/src/erf.c
   M /branches/3.1/src/erfc.c
   M /branches/3.1/src/exceptions.c
   M /branches/3.1/src/exp.c
   M /branches/3.1/src/exp10.c
   M /branches/3.1/src/exp2.c
   M /branches/3.1/src/exp3.c
   M /branches/3.1/src/exp_2.c
   M /branches/3.1/src/expm1.c
   M /branches/3.1/src/extract.c
   M /branches/3.1/src/factorial.c
   M /branches/3.1/src/fits_intmax.c
   M /branches/3.1/src/fits_s.h
   M /branches/3.1/src/fits_sint.c
   M /branches/3.1/src/fits_slong.c
   M /branches/3.1/src/fits_sshort.c
   M /branches/3.1/src/fits_u.h
   M /branches/3.1/src/fits_uint.c
   M /branches/3.1/src/fits_uintmax.c
   M /branches/3.1/src/fits_ulong.c
   M /branches/3.1/src/fits_ushort.c
   M /branches/3.1/src/fma.c
   M /branches/3.1/src/fms.c
   M /branches/3.1/src/frac.c
   M /branches/3.1/src/free_cache.c
   M /branches/3.1/src/frexp.c
   M /branches/3.1/src/gamma.c
   M /branches/3.1/src/gammaonethird.c
   M /branches/3.1/src/gen_inverse.h
   M /branches/3.1/src/generic/mparam.h
   M /branches/3.1/src/get_d.c
   M /branches/3.1/src/get_d64.c
   M /branches/3.1/src/get_exp.c
   M /branches/3.1/src/get_f.c
   M /branches/3.1/src/get_flt.c
   M /branches/3.1/src/get_ld.c
   M /branches/3.1/src/get_si.c
   M /branches/3.1/src/get_sj.c
   M /branches/3.1/src/get_str.c
   M /branches/3.1/src/get_ui.c
   M /branches/3.1/src/get_uj.c
   M /branches/3.1/src/get_z.c
   M /branches/3.1/src/get_z_exp.c
   M /branches/3.1/src/gmp_op.c
   M /branches/3.1/src/grandom.c
   M /branches/3.1/src/hppa/mparam.h
   M /branches/3.1/src/hypot.c
   M /branches/3.1/src/ia64/mparam.h
   M /branches/3.1/src/ieee_floats.h
   M /branches/3.1/src/init.c
   M /branches/3.1/src/init2.c
   M /branches/3.1/src/inits.c
   M /branches/3.1/src/inits2.c
   M /branches/3.1/src/inp_str.c
   M /branches/3.1/src/int_ceil_log2.c
   M /branches/3.1/src/isinf.c
   M /branches/3.1/src/isinteger.c
   M /branches/3.1/src/isnan.c
   M /branches/3.1/src/isnum.c
   M /branches/3.1/src/isqrt.c
   M /branches/3.1/src/isregular.c
   M /branches/3.1/src/iszero.c
   M /branches/3.1/src/jn.c
   M /branches/3.1/src/jyn_asympt.c
   M /branches/3.1/src/li2.c
   M /branches/3.1/src/lngamma.c
   M /branches/3.1/src/log.c
   M /branches/3.1/src/log10.c
   M /branches/3.1/src/log1p.c
   M /branches/3.1/src/log2.c
   M /branches/3.1/src/logging.c
   M /branches/3.1/src/min_prec.c
   M /branches/3.1/src/minmax.c
   M /branches/3.1/src/modf.c
   M /branches/3.1/src/mp_clz_tab.c
   M /branches/3.1/src/mparam_h.in
   M /branches/3.1/src/mpf2mpfr.h
   M /branches/3.1/src/mpfr-gmp.c
   M /branches/3.1/src/mpfr-gmp.h
   M /branches/3.1/src/mpfr-impl.h
   M /branches/3.1/src/mpfr-intmax.h
   M /branches/3.1/src/mpfr-longlong.h
   M /branches/3.1/src/mpfr-thread.h
   M /branches/3.1/src/mpfr.h
   M /branches/3.1/src/mpn_exp.c
   M /branches/3.1/src/mul.c
   M /branches/3.1/src/mul_2exp.c
   M /branches/3.1/src/mul_2si.c
   M /branches/3.1/src/mul_2ui.c
   M /branches/3.1/src/mul_d.c
   M /branches/3.1/src/mul_ui.c
   M /branches/3.1/src/mulders.c
   M /branches/3.1/src/neg.c
   M /branches/3.1/src/next.c
   M /branches/3.1/src/out_raw.c
   M /branches/3.1/src/out_str.c
   M /branches/3.1/src/pow.c
   M /branches/3.1/src/pow_si.c
   M /branches/3.1/src/pow_ui.c
   M /branches/3.1/src/pow_z.c
   M /branches/3.1/src/powerof2.c
   M /branches/3.1/src/powerpc32/mparam.h
   M /branches/3.1/src/powerpc64/mparam.h
   M /branches/3.1/src/print_raw.c
   M /branches/3.1/src/print_rnd_mode.c
   M /branches/3.1/src/printf.c
   M /branches/3.1/src/rec_sqrt.c
   M /branches/3.1/src/reldiff.c
   M /branches/3.1/src/rem1.c
   M /branches/3.1/src/rint.c
   M /branches/3.1/src/root.c
   M /branches/3.1/src/round_near_x.c
   M /branches/3.1/src/round_p.c
   M /branches/3.1/src/round_prec.c
   M /branches/3.1/src/round_raw_generic.c
   M /branches/3.1/src/scale2.c
   M /branches/3.1/src/sec.c
   M /branches/3.1/src/sech.c
   M /branches/3.1/src/set.c
   M /branches/3.1/src/set_d.c
   M /branches/3.1/src/set_d64.c
   M /branches/3.1/src/set_dfl_prec.c
   M /branches/3.1/src/set_exp.c
   M /branches/3.1/src/set_f.c
   M /branches/3.1/src/set_flt.c
   M /branches/3.1/src/set_inf.c
   M /branches/3.1/src/set_ld.c
   M /branches/3.1/src/set_nan.c
   M /branches/3.1/src/set_prc_raw.c
   M /branches/3.1/src/set_prec.c
   M /branches/3.1/src/set_q.c
   M /branches/3.1/src/set_rnd.c
   M /branches/3.1/src/set_si.c
   M /branches/3.1/src/set_si_2exp.c
   M /branches/3.1/src/set_sj.c
   M /branches/3.1/src/set_str.c
   M /branches/3.1/src/set_str_raw.c
   M /branches/3.1/src/set_ui.c
   M /branches/3.1/src/set_ui_2exp.c
   M /branches/3.1/src/set_uj.c
   M /branches/3.1/src/set_z.c
   M /branches/3.1/src/set_z_exp.c
   M /branches/3.1/src/set_zero.c
   M /branches/3.1/src/setmax.c
   M /branches/3.1/src/setmin.c
   M /branches/3.1/src/setsign.c
   M /branches/3.1/src/sgn.c
   M /branches/3.1/src/si_op.c
   M /branches/3.1/src/signbit.c
   M /branches/3.1/src/sin.c
   M /branches/3.1/src/sin_cos.c
   M /branches/3.1/src/sinh.c
   M /branches/3.1/src/sinh_cosh.c
   M /branches/3.1/src/sparc64/mparam.h
   M /branches/3.1/src/sqr.c
   M /branches/3.1/src/sqrt.c
   M /branches/3.1/src/sqrt_ui.c
   M /branches/3.1/src/stack_interface.c
   M /branches/3.1/src/strtofr.c
   M /branches/3.1/src/sub.c
   M /branches/3.1/src/sub1.c
   M /branches/3.1/src/sub1sp.c
   M /branches/3.1/src/sub_d.c
   M /branches/3.1/src/sub_ui.c
   M /branches/3.1/src/subnormal.c
   M /branches/3.1/src/sum.c
   M /branches/3.1/src/swap.c
   M /branches/3.1/src/tan.c
   M /branches/3.1/src/tanh.c
   M /branches/3.1/src/uceil_exp2.c
   M /branches/3.1/src/uceil_log2.c
   M /branches/3.1/src/ufloor_log2.c
   M /branches/3.1/src/ui_div.c
   M /branches/3.1/src/ui_pow.c
   M /branches/3.1/src/ui_pow_ui.c
   M /branches/3.1/src/ui_sub.c
   M /branches/3.1/src/urandom.c
   M /branches/3.1/src/urandomb.c
   M /branches/3.1/src/vasprintf.c
   M /branches/3.1/src/version.c
   M /branches/3.1/src/volatile.c
   M /branches/3.1/src/x86/core2/mparam.h
   M /branches/3.1/src/x86/mparam.h
   M /branches/3.1/src/x86_64/core2/mparam.h
   M /branches/3.1/src/x86_64/pentium4/mparam.h
   M /branches/3.1/src/yn.c
   M /branches/3.1/src/zeta.c
   M /branches/3.1/src/zeta_ui.c
   M /branches/3.1/tests/Makefile.am
   M /branches/3.1/tests/cmp_str.c
   M /branches/3.1/tests/data/digamma
   M /branches/3.1/tests/data/li2
   M /branches/3.1/tests/memory.c
   M /branches/3.1/tests/mpf_compat.c
   M /branches/3.1/tests/mpf_compat.h
   M /branches/3.1/tests/mpfr-test.h
